<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.journal.internal.workflow.JournalArticleWorkflowHandler">
  <property name="model.class.name" type="String" value="com.liferay.journal.model.JournalArticle"/>
  <service>
    <provide interface="com.liferay.portal.kernel.workflow.WorkflowHandler"/>
  </service>
  <reference name="DDMStructureLocalService" interface="com.liferay.dynamic.data.mapping.service.DDMStructureLocalService" bind="setDDMStructureLocalService"/>
  <reference name="JournalArticleLocalService" interface="com.liferay.journal.service.JournalArticleLocalService" bind="setJournalArticleLocalService"/>
  <reference name="JournalFolderLocalService" interface="com.liferay.journal.service.JournalFolderLocalService" bind="setJournalFolderLocalService"/>
  <reference name="WorkflowDefinitionLinkLocalService" interface="com.liferay.portal.kernel.service.WorkflowDefinitionLinkLocalService" bind="setWorkflowDefinitionLinkLocalService"/>
  <reference name="_layoutClassedModelUsageLocalService" interface="com.liferay.layout.service.LayoutClassedModelUsageLocalService" field="_layoutClassedModelUsageLocalService"/>
  <reference name="_layoutLocalService" interface="com.liferay.portal.kernel.service.LayoutLocalService" field="_layoutLocalService"/>
  <reference name="_layoutPermission" interface="com.liferay.portal.kernel.service.permission.LayoutPermission" field="_layoutPermission"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <implementation class="com.liferay.journal.internal.workflow.JournalArticleWorkflowHandler"/>
</scr:component>
